TorqueScript Reference

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
AnimationAsset Class Reference

Inherits AssetBase.

## Public Member Functions
Boolean | getAnimationCycle ()
Integer | getAnimationFrameCount ([bool validatedFrames])
String | getAnimationFrames ([bool validatedFrames])
Float | getAnimationTime ()
String | getImage ()
Integer | getNamedAnimationFrameCount ([bool validatedFrames])
String | getNamedAnimationFrames ([bool validatedFrames])
Boolean | getNamedCellsMode ()
void | setAnimationCycle (bool animationCycle)
void | setAnimationFrames (animationFrames)
void | setAnimationTime (float animationTime)
void | setImage (assetId)
void | setNamedAnimationFrames (animationFrames)
void | setNamedCellsMode ()
Public Member Functions inherited from AssetBase
String | getAssetId ()
void | refreshAsset ()
Public Member Functions inherited from SimObject
Integer | clone ([copyDynamicFields=false]?)
void | delete ()
Integer | getId ()
void | setName (newName)
String | getName ()
String | getClassNamespace ()
String | getSuperClassNamespace ()
void | setClassNamespace (nameSpace)
void | setSuperClassNamespace ()
Boolean | isMethod (string methodName)
String | call (methodName, [args]*)
void | dumpClassHierarchy ()
void | dump ()
Boolean | isMemberOfClass (string classname)
String | getClassName ()
String | getFieldValue (fieldName)
Boolean | setFieldValue (fieldName, value)
Integer | getDynamicFieldCount ()
String | getDynamicField (index)
Integer | getFieldCount ()
String | getField (int index)
void | setProgenitorFile (file)
String | getProgenitorFile ()
Integer | getType ()
String | getFieldType (fieldName)
void | setInternalName (string InternalName)
String | getInternalName ()
Boolean | isChildOfGroup (groupID)
Integer | getGroup ()
Boolean | startTimer (callbackFunction, float timePeriod, [repeat]?)
void | stopTimer ()
Boolean | isTimerActive ()
Integer | schedule (time, command, [arg]*)
Boolean | save (fileName, [selectedOnly]?)
void | addFieldFilter (fieldName)
void | removeFieldFilter (fieldName)

## Member Function Documentation

Boolean getAnimationCycle | ( |  | ) |

Gets whether the animation cycles or not.

Returns
  Whether the animation cycles or not.

Integer getAnimationFrameCount | ( |  | ) |

Gets the count of frame that compose the animation or optionally only the ones validated against the image asset.

Parameters

  validatedFrames | - Whether to return only the validated frames or not. Optional: Default is false.

Returns
  The image frames that compose the animation or optionally only the ones validated against the image asset.

String getAnimationFrames | ( |  | ) |

Gets the frames that compose the animation or optionally only the ones validated against the image asset.

Parameters

  validatedFrames | - Whether to return only the validated frames or not. Optional: Default is false.

Returns
  The image frames that compose the animation or optionally only the ones validated against the image asset.

Float getAnimationTime | ( |  | ) |

Gets the total time to cycle through all animation frames.

Returns
  The total time to cycle through all animation frames.

String getImage | ( |  | ) |

Gets the image asset Id.

Returns
  The image asset Id.

Integer getNamedAnimationFrameCount | ( |  | ) |

Gets the count of named frames that compose the animation or optionally only the ones validated against the image asset.

Parameters

  validatedFrames | - Whether to return only the validated frames or not. Optional: Default is false.

Returns
  The named image frames that compose the animation or optionally only the ones validated against the image asset.

String getNamedAnimationFrames | ( |  | ) |

Gets the named frames that compose the animation or optionally only the ones validated against the image asset.

Parameters

  validatedFrames | - Whether to return only the validated frames or not. Optional: Default is false.

Returns
  The named image frames that compose the animation or optionally only the ones validated against the image asset.

Boolean getNamedCellsMode | ( |  | ) |

Gets whether the animation is using names for its cells.

Returns
  True if the animation is using named cells.

void setAnimationCycle | ( | bool | animationCycle | ) |

Sets whether the animation cycles or not.

Parameters

  animationCycle | Whether the animation cycles or not.

Returns
  No return value.

void setAnimationFrames | ( | animationFrames |  | ) |

Sets the image frames that compose the animation.

Parameters

  animationFrames | A set of image frames that compose the animation.

Returns
  No return value.

void setAnimationTime | ( | float | animationTime | ) |

Sets the total time to cycle through all animation frames.

Parameters

  animationTime | The total time to cycle through all animation frames.

Returns
  No return value.

void setImage | ( | assetId |  | ) |

Sets the image asset Id.

Returns
  No return value.

void setNamedAnimationFrames | ( | animationFrames |  | ) |

Sets the named image frames that compose the animation.

Parameters

  animationFrames | A set of named image frames that compose the animation.

Returns
  No return value.

void setNamedCellsMode | ( |  | ) |

Sets whether the animation uses names for cells, instead of numerical index.

Parameters

  namedCellsMode | True if it should be using named cells.

Returns
  No return value.